<template>
    <section id="contact-html" class="contact-us ">
        <h1 class="text-center">Contactanos</h1><br/>
        <div class="row">
            <div class="contact-col">
                <div>
                    <i class="fa fa-Inicio"></i>
                    <span>
                        <h5>Echeandia 2908, Caba.</h5>
                        <p>Buenos Aires, Argentina.</p>
                    </span>
                </div>
                <div>
                    <i class="fa fa-phone"></i>
                    <span>
                        <h5>+54 11 46605428</h5>
                        <p>Lunes a Viernes de 10 a 18 hs.</p>
                    </span>
                </div>
                <div>
                    <i class="fa fa-envelope-o"></i>
                    <span>
                        <h5>info@gmail.com</h5>
                        <p>Envia tu Consulta!</p>
                    </span>
                </div>
            </div>
            <div class="contact-col">
            <form name="miForm" id="miForm" class=" text-center" v-on:submit.prevent="validarFormulario">
                <input class="rounded-3" type="text" id="name" name="name" placeholder="Nombre" v-model="name">
                <input class="rounded-3" type="email" id="email" name="email" placeholder="Email" v-model="email">
                <input class="rounded-3" type="text" id="subject" name="subject" placeholder="Asunto" v-model="subject">
                <textarea class="rounded-3" rows="8" id="mensaje" name="mensaje" placeholder="Mensaje" v-model="mensaje"></textarea>
                <button type="submit" class="rounded-3 hero-btn red-btn" >Enviar</button>
                <div class= "rounded-3 text-danger text-center" id="infoValidacion"></div>
            </form>
            
            </div>
        </div>
        <div class="alert-danger text-center" id="infoValidacion"></div>
    </section>
</template> 

<script>

export default {

    name: "miForm",
        components: {
            
        },
        props:{

        },
        data: function(){
           return{
               name:"",
               email:"",
               subject:"",
               mensaje:"",
               error: false,
               error_msg:"Por Favor verifique los datos ingresados",
               
            } 
        },
        methods: {
            validarFormulario() {
                if(this.name==null||this.name==""){                    
                    alert(`${this.error_msg} en Nombre`);
                    document.getElementById("infoValidacion").innerHTML = this.error_msg                                   
                }
                
                if(this.email==null||this.email.length<5){
                    alert(` ${this.error_msg} en Email`);
                    document.getElementById("infoValidacion").innerHTML = this.error_msg 
                                  
                }
                if(this.subject==null||this.subject ==""){
                    alert(` ${this.error_msg} en Asunto`);
                    document.getElementById("infoValidacion").innerHTML = this.error_msg 
                }
                if(this.mensaje.length==null||this.mensaje.length>40){
                    alert(` ${this.error_msg} Mensaje`);
                    document.getElementById("infoValidacion").innerHTML = this.error_msg  
                }


                
            }
        }

};

</script>





<style scoped>
.alert-danger{
    color:#721c24;
    background-color:#f8d7da;
    border-color: #f5c6cb;
}
.row {
    margin: 5%;
    display: flex;
    justify-content: space-between;
}
.contact-col div{
   display: flex;
   align-items: center;
   margin-bottom: 40px;
}
.contact-col div .fa{
   font-size: 28px;
   color: #f44336;
   margin: 10px;
   margin-right: 30px;
}
.contact-col div p{
   padding: 0;
}
.contact-col div h5{
   font-size: 20px;
   margin-bottom: 5px;
   color: #555;
   font-weight: 400;
}
.contact-col input, .contact-col textarea{
   width: 100%;
   padding: 8px;
   margin-bottom: 12px;
   outline: none;
   border: 1px solid rgb(97, 51, 146);
   box-sizing: border-box;
}
.contact-us{
   width: 90%;
   margin: auto;
}
  
.contact-col{
   flex-basis: 50%;
   margin-bottom: 30px;
}
.red-btn {
    border: 1px solid;
    background: transparent;
    color: rgba(244, 67, 54, .5);
}
.hero-btn {
    display: inline-block;
    text-decoration: none;
    color: #555;
    border: 1px solid rgb(97, 51, 146);
    padding: 8px;
    font-size: 14px;
    background: white;
    position: relative;
    cursor: pointer;
}
.hero-btn:hover {
    
    border: 1px solid #000000;
    background: rgba(55, 89, 184, .3);
    transition: 1s;
    color:#000000;;
}
@media(max-width: 980px){
   .contact-col{
   flex-basis: 100%;
   margin: auto;
}
    
}


</style>
